Package org.apache.ignite.internal.management.encryption

## Class ReencryptionRateTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<EncryptionReencryptionRateLimitCommandArg,​CacheGroupEncryptionTaskResult<Double>,​ReencryptionRateTask.ReencryptionRateJobResult>
  - - org.apache.ignite.internal.management.encryption.ReencryptionRateTask

All Implemented Interfaces:
  `Serializable`, `ComputeTask<VisorTaskArgument<EncryptionReencryptionRateLimitCommandArg>,​VisorTaskResult<CacheGroupEncryptionTaskResult<Double>>>`

    @GridInternal
    public class ReencryptionRateTask
    extends VisorMultiNodeTask<EncryptionReencryptionRateLimitCommandArg,​CacheGroupEncryptionTaskResult<Double>,​ReencryptionRateTask.ReencryptionRateJobResult>

View/change cache group re-encryption rate limit .

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`protected static class` `ReencryptionRateTask.ReencryptionRateJobResult`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
`ReencryptionRateTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected VisorJob<EncryptionReencryptionRateLimitCommandArg,​ReencryptionRateTask.ReencryptionRateJobResult>` `job​(EncryptionReencryptionRateLimitCommandArg arg)`
`protected @Nullable CacheGroupEncryptionTaskResult<Double>` `reduce0​(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReencryptionRateTask

    public ReencryptionRateTask()

### Method Detail

#### job

    protected VisorJob<EncryptionReencryptionRateLimitCommandArg,​ReencryptionRateTask.ReencryptionRateJobResult> job​(EncryptionReencryptionRateLimitCommandArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<EncryptionReencryptionRateLimitCommandArg,​CacheGroupEncryptionTaskResult<Double>,​ReencryptionRateTask.ReencryptionRateJobResult>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable CacheGroupEncryptionTaskResult<Double> reduce0​(List<ComputeJobResult> results)

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<EncryptionReencryptionRateLimitCommandArg,​CacheGroupEncryptionTaskResult<Double>,​ReencryptionRateTask.ReencryptionRateJobResult>`
Parameters:
  `results` - Job results.
Returns:
  Task result.